;***************************************************************
;* TMS320C2000 C/C++ Codegen                         PC v4.1.3 *
;* Date/Time created: Wed Nov 28 19:14:26 2012                 *
;***************************************************************
	.compiler_opts --mem_model:code=flat --mem_model:data=large --quiet --silicon_version=28 
FP	.set	XAR2

DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr DW$CU, DW_AT_name("IQsample.c")
	.dwattr DW$CU, DW_AT_producer("TMS320C2000 C/C++ Codegen PC v4.1.3 Copyright (c) 1996-2006 Texas Instruments Incorporated")
	.dwattr DW$CU, DW_AT_stmt_list(0x00)
	.dwattr DW$CU, DW_AT_TI_VERSION(0x01)
;**************************************************************
;* CINIT RECORDS                                              *
;**************************************************************
	.sect	".cinit"
	.align	1
	.field  	-2,16
	.field  	_GlobalQ+0,32
	.field  	28,32			; _GlobalQ @ 0

	.global	_out1
_out1:	.usect	".ebss",2,1,1
DW$1	.dwtag  DW_TAG_variable, DW_AT_name("out1"), DW_AT_symbol_name("_out1")
	.dwattr DW$1, DW_AT_location[DW_OP_addr _out1]
	.dwattr DW$1, DW_AT_type(*DW$T$22)
	.dwattr DW$1, DW_AT_external(0x01)
	.global	_in2
_in2:	.usect	".ebss",2,1,1
DW$2	.dwtag  DW_TAG_variable, DW_AT_name("in2"), DW_AT_symbol_name("_in2")
	.dwattr DW$2, DW_AT_location[DW_OP_addr _in2]
	.dwattr DW$2, DW_AT_type(*DW$T$23)
	.dwattr DW$2, DW_AT_external(0x01)
	.global	_out2
_out2:	.usect	".ebss",2,1,1
DW$3	.dwtag  DW_TAG_variable, DW_AT_name("out2"), DW_AT_symbol_name("_out2")
	.dwattr DW$3, DW_AT_location[DW_OP_addr _out2]
	.dwattr DW$3, DW_AT_type(*DW$T$23)
	.dwattr DW$3, DW_AT_external(0x01)
	.global	_GlobalQ
_GlobalQ:	.usect	".ebss",2,1,1
DW$4	.dwtag  DW_TAG_variable, DW_AT_name("GlobalQ"), DW_AT_symbol_name("_GlobalQ")
	.dwattr DW$4, DW_AT_location[DW_OP_addr _GlobalQ]
	.dwattr DW$4, DW_AT_type(*DW$T$12)
	.dwattr DW$4, DW_AT_external(0x01)
	.global	_in1
_in1:	.usect	".ebss",2,1,1
DW$5	.dwtag  DW_TAG_variable, DW_AT_name("in1"), DW_AT_symbol_name("_in1")
	.dwattr DW$5, DW_AT_location[DW_OP_addr _in1]
	.dwattr DW$5, DW_AT_type(*DW$T$22)
	.dwattr DW$5, DW_AT_external(0x01)

DW$6	.dwtag  DW_TAG_subprogram, DW_AT_name("_IQ28div"), DW_AT_symbol_name("__IQ28div")
	.dwattr DW$6, DW_AT_type(*DW$T$12)
	.dwattr DW$6, DW_AT_declaration(0x01)
	.dwattr DW$6, DW_AT_external(0x01)
DW$7	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$12)
DW$8	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$12)
	.dwendtag DW$6

;	D:\ccs3.3\C2000\cgtools\bin\ac2000.exe -@C:\DOCUME~1\ADMINI~1\LOCALS~1\Temp\TI56812 
	.sect	".text"
	.global	_main

DW$9	.dwtag  DW_TAG_subprogram, DW_AT_name("main"), DW_AT_symbol_name("_main")
	.dwattr DW$9, DW_AT_low_pc(_main)
	.dwattr DW$9, DW_AT_high_pc(0x00)
	.dwattr DW$9, DW_AT_begin_file("IQsample.c")
	.dwattr DW$9, DW_AT_begin_line(0x2d)
	.dwattr DW$9, DW_AT_begin_column(0x05)
	.dwattr DW$9, DW_AT_frame_base[DW_OP_breg20 -4]
	.dwattr DW$9, DW_AT_skeletal(0x01)
	.dwpsn	"IQsample.c",46,1

;***************************************************************
;* FNAME: _main                         FR SIZE:   2           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            2 Parameter,  0 Auto,  0 SOE     *
;***************************************************************

_main:
        MOV       PH,#6144
        MOV       PL,#0
        ADDB      SP,#2
        MOVW      DP,#_in1
        MOVL      @_in1,P               ; |48| 
        MOVL      ACC,@_in1             ; |49| 
        MOVL      *-SP[2],ACC           ; |49| 
        MOV       ACC,#8192 << 15
        LCR       #__IQ28div            ; |49| 
        ; call occurs [#__IQ28div] ; |49| 
        MOVW      DP,#_out1
        MOV       PH,#6144
        MOV       PL,#0
        MOVL      @_out1,ACC            ; |49| 
        MOVL      @_in2,P               ; |50| 
        MOVL      ACC,@_in2             ; |51| 
        MOVL      *-SP[2],ACC           ; |51| 
        MOV       ACC,#8192 << 15
        LCR       #__IQ28div            ; |51| 
        ; call occurs [#__IQ28div] ; |51| 
        MOVW      DP,#_out2
        MOVL      @_out2,ACC            ; |51| 
        MOVB      AL,#0
        SUBB      SP,#2                 ; |51| 
	.dwpsn	"IQsample.c",53,1
        LRETR
        ; return occurs
	.dwattr DW$9, DW_AT_end_file("IQsample.c")
	.dwattr DW$9, DW_AT_end_line(0x35)
	.dwattr DW$9, DW_AT_end_column(0x01)
	.dwendtag DW$9

;***************************************************************
;* UNDEFINED EXTERNAL REFERENCES                               *
;***************************************************************
	.global	__IQ28div

;***************************************************************
;* TYPE INFORMATION                                            *
;***************************************************************

DW$T$19	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*DW$T$10)
	.dwattr DW$T$19, DW_AT_language(DW_LANG_C)
DW$T$12	.dwtag  DW_TAG_base_type, DW_AT_name("long")
	.dwattr DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr DW$T$12, DW_AT_byte_size(0x02)

DW$T$20	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*DW$T$12)
	.dwattr DW$T$20, DW_AT_language(DW_LANG_C)
DW$10	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$12)
DW$11	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*DW$T$12)
	.dwendtag DW$T$20

DW$T$22	.dwtag  DW_TAG_typedef, DW_AT_name("_iq"), DW_AT_type(*DW$T$12)
	.dwattr DW$T$22, DW_AT_language(DW_LANG_C)
DW$T$23	.dwtag  DW_TAG_typedef, DW_AT_name("_iq28"), DW_AT_type(*DW$T$12)
	.dwattr DW$T$23, DW_AT_language(DW_LANG_C)
DW$T$10	.dwtag  DW_TAG_base_type, DW_AT_name("int")
	.dwattr DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr DW$T$10, DW_AT_byte_size(0x01)

	.dwattr DW$9, DW_AT_external(0x01)
	.dwattr DW$9, DW_AT_type(*DW$T$10)
	.dwattr DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF REGISTER MAP                                          *
;***************************************************************

DW$12	.dwtag  DW_TAG_assign_register, DW_AT_name("AL")
	.dwattr DW$12, DW_AT_location[DW_OP_reg0]
DW$13	.dwtag  DW_TAG_assign_register, DW_AT_name("AH")
	.dwattr DW$13, DW_AT_location[DW_OP_reg1]
DW$14	.dwtag  DW_TAG_assign_register, DW_AT_name("PL")
	.dwattr DW$14, DW_AT_location[DW_OP_reg2]
DW$15	.dwtag  DW_TAG_assign_register, DW_AT_name("PH")
	.dwattr DW$15, DW_AT_location[DW_OP_reg3]
DW$16	.dwtag  DW_TAG_assign_register, DW_AT_name("AR0")
	.dwattr DW$16, DW_AT_location[DW_OP_reg4]
DW$17	.dwtag  DW_TAG_assign_register, DW_AT_name("XAR0")
	.dwattr DW$17, DW_AT_location[DW_OP_reg5]
DW$18	.dwtag  DW_TAG_assign_register, DW_AT_name("AR1")
	.dwattr DW$18, DW_AT_location[DW_OP_reg6]
DW$19	.dwtag  DW_TAG_assign_register, DW_AT_name("XAR1")
	.dwattr DW$19, DW_AT_location[DW_OP_reg7]
DW$20	.dwtag  DW_TAG_assign_register, DW_AT_name("AR2")
	.dwattr DW$20, DW_AT_location[DW_OP_reg8]
DW$21	.dwtag  DW_TAG_assign_register, DW_AT_name("XAR2")
	.dwattr DW$21, DW_AT_location[DW_OP_reg9]
DW$22	.dwtag  DW_TAG_assign_register, DW_AT_name("AR3")
	.dwattr DW$22, DW_AT_location[DW_OP_reg10]
DW$23	.dwtag  DW_TAG_assign_register, DW_AT_name("XAR3")
	.dwattr DW$23, DW_AT_location[DW_OP_reg11]
DW$24	.dwtag  DW_TAG_assign_register, DW_AT_name("AR4")
	.dwattr DW$24, DW_AT_location[DW_OP_reg12]
DW$25	.dwtag  DW_TAG_assign_register, DW_AT_name("XAR4")
	.dwattr DW$25, DW_AT_location[DW_OP_reg13]
DW$26	.dwtag  DW_TAG_assign_register, DW_AT_name("AR5")
	.dwattr DW$26, DW_AT_location[DW_OP_reg14]
DW$27	.dwtag  DW_TAG_assign_register, DW_AT_name("XAR5")
	.dwattr DW$27, DW_AT_location[DW_OP_reg15]
DW$28	.dwtag  DW_TAG_assign_register, DW_AT_name("AR6")
	.dwattr DW$28, DW_AT_location[DW_OP_reg16]
DW$29	.dwtag  DW_TAG_assign_register, DW_AT_name("XAR6")
	.dwattr DW$29, DW_AT_location[DW_OP_reg17]
DW$30	.dwtag  DW_TAG_assign_register, DW_AT_name("AR7")
	.dwattr DW$30, DW_AT_location[DW_OP_reg18]
DW$31	.dwtag  DW_TAG_assign_register, DW_AT_name("XAR7")
	.dwattr DW$31, DW_AT_location[DW_OP_reg19]
DW$32	.dwtag  DW_TAG_assign_register, DW_AT_name("SP")
	.dwattr DW$32, DW_AT_location[DW_OP_reg20]
DW$33	.dwtag  DW_TAG_assign_register, DW_AT_name("XT")
	.dwattr DW$33, DW_AT_location[DW_OP_reg21]
DW$34	.dwtag  DW_TAG_assign_register, DW_AT_name("T")
	.dwattr DW$34, DW_AT_location[DW_OP_reg22]
DW$35	.dwtag  DW_TAG_assign_register, DW_AT_name("ST0")
	.dwattr DW$35, DW_AT_location[DW_OP_reg23]
DW$36	.dwtag  DW_TAG_assign_register, DW_AT_name("ST1")
	.dwattr DW$36, DW_AT_location[DW_OP_reg24]
DW$37	.dwtag  DW_TAG_assign_register, DW_AT_name("PC")
	.dwattr DW$37, DW_AT_location[DW_OP_reg25]
DW$38	.dwtag  DW_TAG_assign_register, DW_AT_name("RPC")
	.dwattr DW$38, DW_AT_location[DW_OP_reg26]
DW$39	.dwtag  DW_TAG_assign_register, DW_AT_name("FP")
	.dwattr DW$39, DW_AT_location[DW_OP_reg27]
DW$40	.dwtag  DW_TAG_assign_register, DW_AT_name("DP")
	.dwattr DW$40, DW_AT_location[DW_OP_reg28]
DW$41	.dwtag  DW_TAG_assign_register, DW_AT_name("SXM")
	.dwattr DW$41, DW_AT_location[DW_OP_reg29]
DW$42	.dwtag  DW_TAG_assign_register, DW_AT_name("PM")
	.dwattr DW$42, DW_AT_location[DW_OP_reg30]
DW$43	.dwtag  DW_TAG_assign_register, DW_AT_name("OVM")
	.dwattr DW$43, DW_AT_location[DW_OP_reg31]
DW$44	.dwtag  DW_TAG_assign_register, DW_AT_name("PAGE0")
	.dwattr DW$44, DW_AT_location[DW_OP_regx 0x20]
DW$45	.dwtag  DW_TAG_assign_register, DW_AT_name("AMODE")
	.dwattr DW$45, DW_AT_location[DW_OP_regx 0x21]
DW$46	.dwtag  DW_TAG_assign_register, DW_AT_name("IFR")
	.dwattr DW$46, DW_AT_location[DW_OP_regx 0x22]
DW$47	.dwtag  DW_TAG_assign_register, DW_AT_name("IER")
	.dwattr DW$47, DW_AT_location[DW_OP_regx 0x23]
DW$48	.dwtag  DW_TAG_assign_register, DW_AT_name("IER")
	.dwattr DW$48, DW_AT_location[DW_OP_regx 0x24]
DW$49	.dwtag  DW_TAG_assign_register, DW_AT_name("PSEUDO")
	.dwattr DW$49, DW_AT_location[DW_OP_regx 0x25]
DW$50	.dwtag  DW_TAG_assign_register, DW_AT_name("PSEUDOH")
	.dwattr DW$50, DW_AT_location[DW_OP_regx 0x26]
DW$51	.dwtag  DW_TAG_assign_register, DW_AT_name("VOL")
	.dwattr DW$51, DW_AT_location[DW_OP_regx 0x27]
DW$52	.dwtag  DW_TAG_assign_register, DW_AT_name("CIE_RETA")
	.dwattr DW$52, DW_AT_location[DW_OP_regx 0x28]
	.dwendtag DW$CU

